#VU49914 Path traversal in Linux kernel


Published: 2021-01-13 | Updated: 2021-01-21

Vulnerability identifier: #VU49914

Vulnerability risk: Medium

CVSSv3.1:

CVE-ID: CVE-2020-28374

CWE-ID: CWE-22

Exploitation vector: Network

Exploit availability: No

Vulnerable software:
Linux kernel
Operating systems & Components / Operating system

Vendor:

Description

The vulnerability allows a remote user to perform directory traversal attacks.

The vulnerability exists due to input validation error when processing directory traversal sequences in drivers/target/target_core_xcopy.c in the Linux kernel. A remote user with access to iSCSI LUN can send a specially crafted XCOPY request and read or write arbitrary files on the system.


Mitigation
Install update from vendor's website.

Vulnerable software versions


External links
http://www.openwall.com/lists/oss-security/2021/01/13/2
http://www.openwall.com/lists/oss-security/2021/01/13/5
http://bugzilla.suse.com/attachment.cgi?id=844938
http://bugzilla.suse.com/show_bug.cgi?id=1178372
http://cdn.kernel.org/pub/linux/kernel/v5.x/ChangeLog-5.10.7
http://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/commit/?id=2896c93811e39d63a4d9b63ccf12a8fbc226e5e4
http://github.com/torvalds/linux/commit/2896c93811e39d63a4d9b63ccf12a8fbc226e5e4
http://lists.fedoraproject.org/archives/list/package-announce@lists.fedoraproject.org/message/FZEUPID5DZYLZBIO4BEVLHFUDZZIFL57/
http://lists.fedoraproject.org/archives/list/package-announce@lists.fedoraproject.org/message/LTGQDYIEO2GOCOOKADBHEITF44GY55QF/


Q & A

Can this vulnerability be exploited remotely?

Is there known malware, which exploits this vulnerability?


Latest bulletins with this vulnerability